/* -*-c++-*- */
/* osgEarth - Dynamic map generation toolkit for OpenSceneGraph
* Copyright 2008-2014 Pelican Mapping
* http://osgearth.org
*
* osgEarth is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
*/

#include "WaitDialog"

#include <QDialog>
#include <QLabel>
#include <QVBoxLayout>

using namespace PackageQt;

WaitDialog::WaitDialog(const QString &message, QWidget *parent)
  : QDialog(parent, Qt::CustomizeWindowHint|Qt::FramelessWindowHint|Qt::WindowStaysOnTopHint)
{
  setStyleSheet("background-color: #666; color: #fff; font-size: 18px;");

  QLabel* msgLabel = new QLabel(message);

  QVBoxLayout* mainLayout = new QVBoxLayout;
  mainLayout->setContentsMargins(30, 30, 30, 30);
  mainLayout->addWidget(msgLabel);
  setLayout(mainLayout);
}
